{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "cloudConfig": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "clusterId": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "clusterName": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "clusterType": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "cpuCount": {
      "default": "2",
      "nullable": true,
      "type": "string"
    },
    "cpuPinning": {
      "default": false,
      "type": "boolean"
    },
    "diskBus": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "diskInfo": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "diskSize": {
      "default": "0",
      "nullable": true,
      "type": "string"
    },
    "enableEfi": {
      "default": false,
      "type": "boolean"
    },
    "enableSecureBoot": {
      "default": false,
      "type": "boolean"
    },
    "enableTpm": {
      "default": false,
      "type": "boolean"
    },
    "imageName": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "isolateEmulatorThread": {
      "default": false,
      "type": "boolean"
    },
    "keyPairName": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "kubeconfigContent": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "memorySize": {
      "default": "4",
      "nullable": true,
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "networkData": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "networkInfo": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "networkModel": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "networkName": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "networkType": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "reservedMemorySize": {
      "default": "-1",
      "nullable": true,
      "type": "string"
    },
    "sshPassword": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "sshPort": {
      "default": "22",
      "nullable": true,
      "type": "string"
    },
    "sshPrivateKeyPath": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "sshUser": {
      "default": "root",
      "nullable": true,
      "type": "string"
    },
    "userData": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "vgpuInfo": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "vmAffinity": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "vmNamespace": {
      "default": "default",
      "nullable": true,
      "type": "string"
    }
  },
  "type": "object"
}
